/* Exercise 4. 
  Write a C program that prints on the screen the price of a cinema 
  ticket according to the age of the customer. 
  The program must read the users age and calculate the price as follows: 
      (a) Normal ticket: 7 euros; 
      (b) Children under 5: 60% discount; 
      (c) People over 60: 55% discount.
*/

#include <stdio.h>
#include <stdlib.h>

#define BASE_PRICE 7.0

int main(void) {
    int age;
    float price;
    
    /* Read user's age */
    printf("Enter age: ");
    scanf("%i", &age);  
    
    /* Calculate price according the case */
    price = BASE_PRICE;
    
    if(age < 5) {
        price -= price * 0.6;       
    } else if(age > 60) {
        price -= price * 0.55;         
    }
    
    /* Pretty-printing of float value:
       %f     --> general float value 
       %1.2f  --> float value, 1 digit for integer part, 
                  2 digits for decimal part */
    printf("The price is (%1.2f)\n", price);
    
    /* End the program */
    system("PAUSE");
    return 0;
}
