/* Exercise 8.
   Write a C program that reads an integer value on the keyboard and, 
   if the value has two digits, shows on the screen: 
      (1) sum of the two digits; 
      (2) number of even digits.
*/


#include <stdio.h>
#include <stdlib.h>

int main(void) {
   int x;
   
   /* Read value on the keyboard */
   printf("Enter number: ");
   scanf("%i", &x);
   
   /* Obtain number digits and operate */
   if(x < 0)
        x = -x;
   if(x < 10 || x > 99)
        printf("Number has not two digits.\n");
   else {
        int d1, d2;
        int sum, evens;
        
        /* Obtain digits */
        d1 = x / 10;
        d2 = x % 10;
        
        /* Operate */
        sum = d1 + d2;
        
        evens = 0;
        if(d1 % 2 == 0)
              evens++;
        if(d2 % 2 == 0)
              evens++;
              
        /* Print results */
        printf("Sum: %i\n", sum);
        printf("Evens: %i\n", evens);
   }
   
   /* End the program */
   system("PAUSE");
   return 0;
}
