/* Exercise 13.
   Write a C program to calculate the employees' weekly pay based on
   the worked hours and the salary per hour. The user must introduce 
   on the keyboard the worked hours and the salary per hour. Worked 
   hours above 40 are considered extra hours; extra hours are paid 
   twice the normal salary per hour.   
*/

#include <stdio.h>
#include <stdlib.h>

#define HOUR_LIMIT 40
#define FACTOR_EXTRA_HOUR 2

int main(void) {
    float worked_hours;
    float salary_hour;
    float normal_hours;
    float extra_hours;
    float pay;
    
    /* Read data */
    printf("Worked hours? "); 
    scanf("%f", &worked_hours);
    printf("Salary per hour? "); 
    scanf("%f", &salary_hour);
    
    /* Obtain extra hours and calculate pay */
    if(worked_hours > HOUR_LIMIT) {
        normal_hours = HOUR_LIMIT;
        extra_hours  = worked_hours - HOUR_LIMIT;                  
    } else {
        normal_hours = worked_hours;
        extra_hours  = 0;       
    }
    pay = normal_hours * salary_hour + extra_hours * salary_hour * FACTOR_EXTRA_HOUR;
    
    /* Print result */
    printf("Pay: %.2f \n", pay);
    
    /* End the program */
    system("PAUSE");
    return 0;
}
