/* Exercise 11.
   Write a C program that reads a character on the keyboard and, 
   by using the switch instruction, prints on the screen if it is 
   a number or not. Repeat the exercise by using the if instruction.
*/

#include <stdio.h>
#include <stdlib.h>

int main(void) {
    char c;
    
    /* Read value on the keyboard */
    printf("Enter character: ");
    scanf("%c", &c);
    
    /* Test with switch */
    switch(c) {
        case '0':
        case '1':
        case '2':
        case '3':
        case '4':
        case '5':
        case '6':
        case '7':
        case '8':
        case '9':
             printf("Number!\n");
             break;
        default:
             printf("Not a number!\n");              
    }
    
    /* Test with if-else */
    if(c == '0' || c == '1' || c == '2' || c == '3' || c == '4' ||
       c == '5' || c == '6' || c == '7' || c == '8' || c == '9')
        printf("Number!\n");
    else
        printf("Not a number!\n");
        
    /* Alternative with if-else 
       Remember that chars are internally represented as numbers */
    if(c >= '0' && c <= '9')
        printf("Number!\n");
    else
        printf("Not a number!\n");
        
    /* End the program */
    system("PAUSE");
    return 0; 
}
