/* Exercise 12.
   Write a C program that prints on the screen the menu below and reads 
   the option selected by the user. According to the option, the program 
   must read the corresponding data to perform the selected area calculation. 
   The resulting are must be printed on the screen.
   
   Calculate the area 
   ------------------------ 
   1. Calculate the area of a triangle (base, height) 
   2. Calculate the area of a trapezoid (edge a, edge b, height) 
   3. Calculate the area of a rectangle (base, height) 
   4. Calculate the area of a rectangle (edge a, edge b, edge c)
   5. Exit the program
*/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main(void) {
    int op;
    float a, b, c, s, h, area;
    
    /* Print menu and read option */
    printf("Calculate the area\n"); 
    printf("------------------------\n"); 
    printf("1. Calculate the area of a triangle (base, height)\n"); 
    printf("2. Calculate the area of a trapezoid (edge a, edge b, height)\n");
    printf("3. Calculate the area of a rectangle (base, height)\n");
    printf("4. Calculate the area of a rectangle (edge a, edge b, edge c)\n");
    
    printf("\nEnter option: ");
    scanf("%i", &op);
    
    /* Perform operation */
    
    switch(op) {
        case 1: {             
             printf("Introduce base:   ");
             scanf("%f", &b);
             printf("Introduce height: ");
             scanf("%f", &h);
             area =  (b * h) / 2;
             printf("Area: %f\n", area);
             break;
        }
        case 2: {             
             printf("Introduce edge a:   ");
             scanf("%f", &a);
             printf("Introduce edge b:   ");
             scanf("%f", &b);
             printf("Introduce height:   ");
             scanf("%f", &h);
             area =  h * ( (a+b) / 2);
             printf("Area: %f\n", area);
             break;
        }
        case 3: {             
             printf("Introduce base:   ");
             scanf("%f", &b);
             printf("Introduce height: ");
             scanf("%f", &h);
             area =  (b * h);
             printf("Area: %f\n", area);
             break;
        }
        case 4: {             
             printf("Introduce edge a:   ");
             scanf("%f", &a);
             printf("Introduce edge b:   ");
             scanf("%f", &b);
             printf("Introduce edge c:   ");
             scanf("%f", &c);
             s = (a+b+c) / 2;
             area =  sqrt(s*(s-a)*(s-b)*(s-c));
             printf("Area: %f\n", area);
             break;
        }
    }
    
    /* End the program */
    system("PAUSE");
    return 0;
}
